Bug 92726 - Presentation Minimizer does not preserve animations when making static replacements for OLE objects
Summary: Presentation Minimizer does not preserve animations when making static replac...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ImpressDraw-Enhancements
  Show dependency treegraph
 
Reported: 2015-07-14 09:00 UTC by Shimi Chen
Modified: 2022-09-21 03:36 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
When minimized the "appear" animation for the formula is gone (12.98 KB, application/vnd.oasis.opendocument.presentation)
2015-07-14 09:00 UTC, Shimi Chen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Shimi Chen 2015-07-14 09:00:23 UTC
Created attachment 117226 [details]
When minimized the "appear" animation for the formula is gone

Build ID: 4.4.4.3 Arch Linux build-2

When using the Presentation Minimizer and the default setting for making static replacement for OLE objects, the animations of the OLE objects disappear.
Comment 1 Shimi Chen 2015-07-14 10:17:23 UTC
Steps to reproduce with the attachment:
1. Open with LibreOffice Impress
2. Make sure that the "Appear" animation is set for the math element
3. Tools -> Minimize Presentation...
4. go to 4. OLE objects and make sure "For all OLE objects" is chosen
5. Finish
6. Save the minimized presentation
7. Open the minimized presentation you saved
8. The animation is not there
Comment 2 raal 2015-07-17 17:04:57 UTC
I can confirm with Version: 5.1.0.0.alpha1+
Build ID: 9be553f4c61f220ebbe212dc76cb9cce4ae1c106
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-07-13_22:45:19
Comment 3 QA Administrators 2016-09-20 10:18:35 UTC Comment hidden (obsolete)
Comment 4 Shimi Chen 2016-10-31 09:29:09 UTC
Still occurs in 5.2.2.2.0 (Arch Linux x86-64).
Comment 5 QA Administrators 2017-11-01 22:12:22 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2019-12-03 14:42:44 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2022-09-21 03:36:46 UTC
Dear Shimi Chen,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug